Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.java5
Class AnnotatedTypeInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
          org.codehaus.xfire.aegis.type.java5.AnnotatedTypeInfo

    public class AnnotatedTypeInfo

extends BeanTypeInfo

Constructor Summary
`AnnotatedTypeInfo(TypeMapping tm, java.lang.Class typeClass)`

Method Summary
`protected javax.xml.namespace.QName` | `createQName(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isAnnotatedElement(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isAttribute(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isElement(java.beans.PropertyDescriptor desc)`
`boolean` | `isNillable(javax.xml.namespace.QName name)`

Methods inherited from class org.codehaus.xfire.aegis.type.basic.BeanTypeInfo
`getAttributes, getElements, getPropertyDescriptor, getPropertyDescriptor, getPropertyDescriptors, getType, getTypeClass, getTypeMapping, initialize, isInitialized, isSerializable, mapAttribute, mapElement, mapProperty, setTypeMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedTypeInfo

    public AnnotatedTypeInfo(TypeMapping tm,
                             java.lang.Class typeClass)

Method Detail

### isAttribute

    protected boolean isAttribute(java.beans.PropertyDescriptor desc)

  Overrides:
    `isAttribute` in class `BeanTypeInfo`

### isElement

    protected boolean isElement(java.beans.PropertyDescriptor desc)

  Overrides:
    `isElement` in class `BeanTypeInfo`

### isAnnotatedElement

    protected boolean isAnnotatedElement(java.beans.PropertyDescriptor desc)

### createQName

    protected javax.xml.namespace.QName createQName(java.beans.PropertyDescriptor desc)

  Overrides:
    `createQName` in class `BeanTypeInfo`

### isNillable

    public boolean isNillable(javax.xml.namespace.QName name)

  Overrides:
    `isNillable` in class `BeanTypeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.